# celaigia

an app to gently query youtube music, and possibly download only if you don't have already locally.

## Features
- Search and download music from YouTube
- Manage available music in a database
- Play, pausemusic from the database

## Usage
To use Celaigia, follow these steps:

0. git clone the repo: `git clone https://git.tropici.net/agropunx/celaigia && cd celaigia`
1. install dependencies: `pip install -r requirements.txt`.
2. run the app by executing: `python app.py`.
3. use the search & download tab to find music on YouTube and download it if needed.
4. manage available music in the database tab, where you can play, pause music (by double click).

## Requirements
- Python 3.x
- Dependencies listed in `requirements.txt`


## TODO
- proper db structure (mysql/sqlite?)
- search & download tab: flag to download video 
- database tab: play / pause / remove buttons


